%define name dates 
%define version 0.4.6
%define release %mkrel 1

%define fakename gtkdatesview
%define major 0
%define libname %mklibname %{fakename}_ %major

Summary: Simple calendar application
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://pimlico-project.org/sources/dates/%{name}-%{version}.tar.bz2
License: GPL
Group: Graphical desktop/GNOME
Url: http://pimlico-project.org/dates.html
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: libedataserver-devel
BuildRequires: libgtk+2-devel
BuildRequires: desktop-file-utils

Requires: %libname = %version

Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils

%description
Dates is a small, lightweight calendar, featuring an innovative, unified,
zooming view and is designed primarily for use on hand-held devices. 

%package -n %libname
Summary: Tasks libraries
Group: System/Libraries

%description -n %libname
Libraries package for %{name}.

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
%find_lang %name

desktop-file-install --vendor="" \
  --add-category="X-MandrivaLinux-Office-Accessories" \
  --remove-category="Application" \
  --remove-category="Office" \
  --remove-category="Project Management" \
  --remove-key="SingleInstance" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
$RPM_BUILD_ROOT%{_datadir}/applications/*

%if %mdkversion < 200900
%post
%update_icon_cache hicolor
%update_menus
%endif

%if %mdkversion < 200900
%postun
%clean_icon_cache hicolor
%clean_menus
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %mdkversion < 200900
%post -n %libname -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %libname -p /sbin/ldconfig
%endif

%files -f %name.lang
%defattr(-,root,root)
%doc README AUTHORS ChangeLog 
%_bindir/%{name}
%_datadir/applications/%{name}.desktop
%_mandir/man1/*
%_datadir/%{name}/*
%_datadir/icons/hicolor/*
%lang(all) %{_datadir}/locale/*/LC_MESSAGES/*

%files -n %libname
%defattr(-,root,root)
#%{_libdir}/*.so.%{major}*




%changelog
* Thu Jun 12 2008 Pixel <pixel@mandriva.com> 0.4.6-1mdv2009.0
+ Revision: 218424
- rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
- do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sat Mar 01 2008 Michael Scherer <misc@mandriva.org> 0.4.6-1mdv2008.1
+ Revision: 177249
- new version
- remove the library-packages, as it was disabled in the Makefile.am, according to
  changelog

* Mon Feb 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.4.4-2mdv2008.1
+ Revision: 170793
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Sep 05 2007 Jérôme Soyer <saispo@mandriva.org> 0.4.4-1mdv2008.0
+ Revision: 80248
- New release 0.4.4
- New release

* Fri Jun 08 2007 Jérôme Soyer <saispo@mandriva.org> 0.4.3-1mdv2008.0
+ Revision: 37207
- New release 0.4.3

  + Pascal Terjan <pterjan@mandriva.org>
    - Add complete source URL
    - Update URL and fix description and summary

* Fri Apr 20 2007 Jérôme Soyer <saispo@mandriva.org> 0.4.2-1mdv2008.0
+ Revision: 15644
- New release 0.4.2


* Thu Mar 08 2007 Jérôme Soyer <saispo@mandriva.org> 0.3.1-1mdv2007.1
+ Revision: 138481
- Import dates

